Vivaldi fehlt H.264/AAC

Hinweis: In dem Thema Vivaldi fehlt H.264/AAC gibt es 14 Antworten auf 2 Seiten. Der letzte Beitrag () befindet sich auf der letzten Seite.
  • Hallo,

    nachdem sich Vivaldi ein Update erfahren hat, laufen manche Videos nicht mehr. Es kommt die Meldung

    "Vivaldi fehlt eine geeignete Komponente, um "proprietäre" HTML5-Medien wiederzugeben."

    Ich habe auch schon geforscht und bin nicht weiter gekommen. Ich habe nur noch das Paket chromium-ffmpeg-extra installiert, aber es hat nicht nicht den Erfolg gebracht.

    Ich habe Vivaldi deinstalliert und wieder installiert. Auch das führte nicht zum Erfolg.

    Was kann ich noch tun?

    Für den Inhalt des Beitrages 295189 haftet ausdrücklich der jeweilige Autor: achmennoo

  • Poste_

    Code
    zypper se -si gstreamer

    Ich weiß jetzt nicht, ob vivaldi auch gstreamer benutzt, aber ist gstreamer-plugins-ugly-orig-addon installiert:


    Code
    rpm -ql gstreamer-plugins-ugly-orig-addon 
    /usr/lib64/gstreamer-1.0/libgstamrnb.so
    /usr/lib64/gstreamer-1.0/libgstamrwbdec.so
    /usr/lib64/gstreamer-1.0/libgstasf.so
    /usr/lib64/gstreamer-1.0/libgstx264.so
    /usr/share/gstreamer-1.0/presets/GstAmrnbEnc.prs
    /usr/share/gstreamer-1.0/presets/GstX264Enc.prs

    Für den Inhalt des Beitrages 295191 haftet ausdrücklich der jeweilige Autor: Sauerland

  • Wenn das proprietäre (drm geschützte) Streams sind, dürfte widevine dein Freund sein. Schau mal bei Packman nach (chromium-plugin-widevinecdm).

    Von wo hast du Vivaldi installiert?

  • Für den Inhalt des Beitrages 295202 haftet ausdrücklich der jeweilige Autor: achmennoo

  • Wenn das proprietäre (drm geschützte) Streams sind, dürfte widevine dein Freund sein. Schau mal bei Packman nach (chromium-plugin-widevinecdm).

    Von wo hast du Vivaldi installiert?

    Es sind keine drm geschützte Streams, sondern eingebettete Videos wie bei ntv.de und dergleichen. In Firefox funktionieren diese jedoch.


    https://repo.vivaldi.com/archive/rpm/x86_64

    Für den Inhalt des Beitrages 295206 haftet ausdrücklich der jeweilige Autor: achmennoo

  • Für den Inhalt des Beitrages 295207 haftet ausdrücklich der jeweilige Autor: achmennoo

  • Vom Vivaldi Support bekam ich folgenden Auftrag

    Code
    sudo /opt/vivaldi/update-ffpmpeg

    irgendwie funktionierte es nicht. Datei und Befehl nicht gefunden. Bis ich darauf kam, dass es wohl ffmpeg heißen müsste.

    Dann kam folgende Nachricht:

    Code
     Your glibc version is too old to search for a replacement libffmpeg that supports proprietary media

    Für den Inhalt des Beitrages 295215 haftet ausdrücklich der jeweilige Autor: achmennoo

  • Als root:

    Code
    zypper dup --allow-vendor-change --from packman

    Sowie:

    Für den Inhalt des Beitrages 295219 haftet ausdrücklich der jeweilige Autor: Sauerland

  • Ich habe alles so gemacht, wie hier empfohlen (hoffe dabei keinen Fehler gemacht zu haben).

    Dennoch will Vivaldi immer noch nicht die entsprechenden Videos abspielen.

    Für den Inhalt des Beitrages 295253 haftet ausdrücklich der jeweilige Autor: achmennoo